QGIS Application - Bug report #21359
Popped Out Panels Can't be Re-docked
2019-02-23 08:04 PM - Konrad Lawson

Status: Open

Priority: Normal
Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.4
Operating System: 0OS X 10.13.6
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29177

Description

Click the small icon with multiple windows at the top left of any visible panel. This "pops out" the panel to make it a floating window.

If you immediately double click the title bar of the popped out window, it will be docked again. Fine.

However, if you close the panel window (because double-clicking on the title bar is not at all an obvious way to re-dock a window, at least

on OSX) and then re-open the panel, double-clicking the panel window now zooms it to full screen rather than re-docking the window.

As far as | can see there is no way to get the floating window back into its docked position within the main window thereafter.

History

#1 - 2019-02-23 08:05 PM - Giovanni Manghi
- Category changed from GUI to mac_os_specific

#2 - 2019-03-04 08:23 PM - Leon van der Meulen

Also dragging that window to the side of the screen doesn't allow docking. Only after restart of QGIS this is possible again.
